“bad constant pool tag 18” with sbt and JDK 8

Scala < 2.10.4 does not play well with JDK 8, thanks to invokedynamic being used in some JDK classes (see https://groups.google.com/forum/#!topic/scala-user/Nzc2zUTyays).

If you can use JDK 7, it is probably the easiest workaround. If you have to use JDK 8, upgrading to sbt >= 0.13.5 is also an option, since those sbt versions use Scala 2.10.4 (See http://www.scala-sbt.org/0.13/docs/Changes.html)

Sadly, this can lead to other issues, such as libraries being only available for Scala 2.9.x and not 2.10.x. YMMV. Happy building ;P

Leave a Reply

Your email address will not be published. Required fields are marked *